Search found 983 matches

Go to advanced search

by freedman
Thu Nov 14, 2019 4:00 pm
Forum: Help on using FreeCAD
Topic: Copy and Rotate in Sketcher WB
Replies: 2
Views: 39

Re: Copy and Rotate in Sketcher WB

Sketcher has to follow a bunch of rules to place something, copy/paste is too vague, I think you will need to draw it.
You can copy the entire sketch:
https://forum.freecadweb.org/viewtopic.php?f=3&t=40273
by freedman
Thu Nov 14, 2019 3:51 pm
Forum: Help on using FreeCAD
Topic: Changing infill on specific region of a part?
Replies: 3
Views: 30

Re: Changing infill on specific region of a part?

Infill is set by the slicer but if your willing to work at it you could model it with some inner material removed. Something like start with a hollow tube, then add material where you want to get your final solid.
by freedman
Thu Nov 14, 2019 3:39 pm
Forum: Help on using FreeCAD
Topic: Part Design WB > Chamfer
Replies: 2
Views: 28

Re: Part Design WB > Chamfer

No bug report required. That being said, maybe you found something but to report an issue we need to analyzed what was done. Sometimes the user is the bug :). Chamfer is FreeCADs weakest tool. We always add those features last so they are easy to fix. Once a model is complete they are fine but if yo...
by freedman
Thu Nov 14, 2019 12:25 am
Forum: Help on using FreeCAD
Topic: Freecad-9999 ( Gentoo) crashes on Wayland ( Sway)
Replies: 9
Views: 222

Re: Freecad-9999 ( Gentoo) crashes on Wayland ( Sway)

Op wrote:
Freecad starts normally, but opening of any example project immediately crashes.
I don't know much about this; How about a different file?
by freedman
Thu Nov 14, 2019 12:15 am
Forum: Open discussion
Topic: Thank You
Replies: 8
Views: 188

Re: Thank You

If anyone does have a moment though, I'd appreciate some feedback on my implementation of that slope on the side and whether I could've done it a better way...if not, don't worry about it How about this (see pic). :D Just joking around. Nice work. Maybe not the best design but cantilever stuff sags...
by freedman
Wed Nov 13, 2019 7:03 pm
Forum: Python scripting and macros
Topic: I'm in Part design-sketcher, from macro how to click the close button
Replies: 12
Views: 191

Re: I'm in Part design-sketcher, from macro how to click the close button

This does work (see below), it closes sketcher, and switches to tree mode. It doesn't work in my macro but I will look into that. Thanks. import FreeCAD import FreeCADGui import time from pivy import coin import FreeCAD as App, FreeCADGui from PySide import QtGui,QtCore Gui.ActiveDocument.resetEdit(...
by freedman
Wed Nov 13, 2019 5:00 pm
Forum: Python scripting and macros
Topic: I'm in Part design-sketcher, from macro how to click the close button
Replies: 12
Views: 191

Re: I'm in Part design-sketcher, from macro how to click the close button

@openBrain, I tried that line of code and it does not want to work. I researched the functions and I can't see why. It's no big deal cause I have code that works but there is something not right. If I run from the console: >>> FreeCADGui.getMainWindow().findChild(QtGui.QDockWidget, "Combo View").fin...
by freedman
Wed Nov 13, 2019 5:59 am
Forum: Help on using FreeCAD
Topic: Pad on a curved wall
Replies: 6
Views: 135

Re: Pad on a curved wall

Or, use your original sketch edge and cut around the bottom. I like the approach from chrisb better but both might have a usage.
by freedman
Wed Nov 13, 2019 1:12 am
Forum: Python scripting and macros
Topic: I'm in Part design-sketcher, from macro how to click the close button
Replies: 12
Views: 191

Re: I'm in Part design-sketcher, from macro how to click the close button

@openBrain, thanks, I was thinking about that. I didn't have the findChild in my mental toolbox, got it now.
by freedman
Tue Nov 12, 2019 8:59 pm
Forum: Help on using FreeCAD
Topic: Higher resolution revolution?
Replies: 5
Views: 105

Re: Higher resolution revolution?

This also slows down refresh so with lots of circles it can be better to use a lower resolution.

Go to advanced search



cron